#    Society Self-Service
#    Copyright © 2018-2019  Yingtong Li (RunasSudo)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django.conf import settings
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import include, path

urlpatterns = []
urlpatterns.append(path('admin/', admin.site.urls))
urlpatterns.append(path('auth/', include('social_django.urls', namespace='social')))

if 'sstreasury' in settings.INSTALLED_APPS:
	urlpatterns.append(path('treasury/', include('sstreasury.urls')))
if 'sspromotions' in settings.INSTALLED_APPS:
	urlpatterns.append(path('promotions/', include('sspromotions.urls')))
if 'ssmembership' in settings.INSTALLED_APPS:
	urlpatterns.append(path('membership/', include('ssmembership.urls')))

urlpatterns.append(path('', include('ssmain.urls')))
urlpatterns.extend(static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT))
urlpatterns.extend(static(settings.STATIC_URL, document_root=settings.STATIC_ROOT))
