#    Society Self-Service
#    Copyright © 2018-2020  Yingtong Li (RunasSudo)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <https://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand, CommandError

from ssmembership.models import Member
from django.db.models import Count

class Command(BaseCommand):
	help = 'Finds members with duplicate emails'
	
	def handle(self, *args, **options):
		duplicates = Member.objects.values('email').annotate(email_count=Count('email')).filter(email_count__gt=1)
		
		for d in duplicates:
			print(d.email)
